Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Module mainframe :: Class MainFrame |
[frames] | no frames]

# Class MainFrame

source code

    wx.Frame --+
               |
              MainFrame

Instance Methods
__init__(self, application_arguments) | source code
week_starts_on_monday(self) | source code
edit_categories(self) | source code
open_timeline(self, input_file) | source code
handle_db_error(self, error) | source code
open_timeline_if_exists(self, path) | source code
enable_disable_menus(self) | source code
display_time_editor_dialog(self, time_type, initial_time, handle_new_time_fn, title) | source code
open_play_frame(self, timeline) | source code